using SushiBarContracts.BindingModels;
using SushiBarContracts.ViewModels;

namespace SushiBarContracts.BusinessLogicsContracts
{
    public interface IReportLogic
    {
        List<ReportSushiComponentViewModel> GetSushi();
        List<ReportOrdersViewModel> GetOrders(ReportBindingModel model);
        void SaveSushiToWordFile(ReportBindingModel model);
        void SaveProductComponentToExcelFile(ReportBindingModel model);
        void SaveOrdersToPdfFile(ReportBindingModel model);

    }
}
